﻿Imports System.Data
Imports System.Data.SqlClient
Imports Infragistics.Web.UI.NavigationControls

Partial Class Master
    Inherits System.Web.UI.MasterPage

#Region "Local Declarations"
    Private Const m_MenuImageIncomplete As String = "~/Images/exclamation.gif"
    Private Const m_MenuImageComplete As String = "~/Images/okcheck.gif"
    Private Const m_MenuImageAddendums As String = "~/Images/attachments.gif"
    Private Const m_MenuImageFinalizeReport As String = "~/Images/padlock3.png"
    Private Const m_MenuImageAODReport As String = "~/Images/AODReport.png"
    Private Const m_MenuImageUserGuide As String = "~/Images/users.png"
    Private Const m_MenuImageSnapshot As String = "~/Images/snapshot.png"
    Private Const m_MenuImageReleaseNotes As String = "~/Images/notes.png"
    Private Const m_MenuImageAdministrator As String = "~/Images/admin_page.gif"
    Private Const m_MenuImageManager As String = "~/Images/customize1.gif"
    Private Const m_MenuImageFinalizedItem As String = "~/Images/padlock3.png"
    Private Const m_MenuImageFinalizedOffices As String = "~/Images/OfficesFinalized.png"
    Private Const m_MenuImageHQ As String = "~/Images/hqinfo.gif"

    Private Shared sData As String = String.Empty
    Private Shared sPageType As String = String.Empty
    Private Shared sNavID As String = String.Empty
#End Region

#Region "Page Methods"

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        Try
            LoadUserInfo()
            If Not IsPostBack Then
                Response.Cache.SetNoServerCaching()
                Response.Cache.SetCacheability(HttpCacheability.NoCache)
                LoadMenu()
            End If
        Catch ex As Exception

        End Try
    End Sub

#End Region

#Region "Local Methods"

    Private Sub LoadMenu()
        SetMenuParent()
        SetMenuChildren()
    End Sub

    Private Sub LoadUserInfo()
        lblUser.Text = "My Name | My Office"
    End Sub

#End Region

#Region "Menu Methods"

    Private Sub SetMenuParent()
        Try
            'in actuality, there would be other dynamic parent menu items added based on users profile
            Dim pItem As DataMenuItem = Nothing

            igMenu.Items.Clear()

            '*************************
            pItem = New DataMenuItem
            pItem.Text = "Home"
            pItem.NavigateUrl = "~/home.aspx"
            igMenu.Items.Add(pItem)
            '*************************
            pItem = New DataMenuItem
            pItem.Text = "Parent 1"
            pItem.NavigateUrl = ""
            igMenu.Items.Add(pItem)
            pItem = New DataMenuItem
            pItem.Text = "Parent 2"
            pItem.NavigateUrl = ""
            igMenu.Items.Add(pItem)
            '*************************
            pItem = New DataMenuItem
            pItem.Text = "Reports"
            pItem.NavigateUrl = ""
            igMenu.Items.Add(pItem)
            '*************************
            pItem = New DataMenuItem
            pItem.Text = "Help"
            pItem.NavigateUrl = ""
            igMenu.Items.Add(pItem)


        Catch ex As Exception

        End Try

    End Sub

    Private Sub SetMenuChildren()
        'since I cannot provide an actual source for a dynamic dataset, I am manually adding the child items
        Try
            Dim pItem As DataMenuItem = Nothing
            Dim menuCnt As Int16 = 0
            Dim tableCnt As Int16 = 0
            Dim menuTotal As Int16 = 0
            Dim tableRows As Int16 = 0
            Dim navPath As String = String.Empty
            Dim navURL As String = String.Empty
            Dim pName As String = String.Empty
            Dim navID As String = String.Empty
            Dim MenuID As String = String.Empty
            Dim filePath As String = String.Empty
            Dim isItemComplete As Boolean = True


            'Set Child Menus
            For menuCnt = 0 To igMenu.Items.Count - 1
                Select Case igMenu.Items(menuCnt).Text.Trim.ToLower
                    Case "parent 1"
                        tableRows = 5
                    Case "parent 2"
                        tableRows = 7
                    Case "reports"
                        tableRows = 4
                    Case "help"
                        tableRows = 4
                End Select
                If igMenu.Items(menuCnt).Text.Trim.ToLower = "parent 1" Then
                    igMenu.Items(menuCnt).Items.Clear()
                    For tableCnt = 0 To tableRows - 1
                        pItem = New DataMenuItem
                        pName = "Child Item " & tableCnt + 1
                        pItem.Text = pName
                        navID = tableCnt + 1
                        filePath = "~/somefilepath"
                        navURL = filePath & "?data=" & "childitem" & (tableCnt + 1) & "&ptype=analysis" & "&navid=" & navID
                        pItem.NavigateUrl = filePath & navURL
                        'normally this would change if the data item show completed=true
                        pItem.CssClass = "igdm_ClaymationMenuItemVerticalLinkComplete"
                        igMenu.Items(menuCnt).Items.Add(pItem)

                    Next
                End If
                If igMenu.Items(menuCnt).Text.Trim.ToLower = "parent 2" Then
                    igMenu.Items(menuCnt).Items.Clear()
                    For tableCnt = 0 To tableRows - 1
                        pItem = New DataMenuItem
                        pName = "Child Item " & tableCnt + 1
                        pItem.Text = pName
                        navID = tableCnt + 1
                        filePath = "~/somefilepath"
                        navURL = filePath & "?data=" & "childitem" & (tableCnt + 1) & "&ptype=analysis" & "&navid=" & navID
                        pItem.NavigateUrl = filePath & navURL
                        'normally this would change if the data item show completed=true
                        pItem.CssClass = "igdm_ClaymationMenuItemVerticalLinkComplete"
                        igMenu.Items(menuCnt).Items.Add(pItem)

                    Next
                End If
                If igMenu.Items(menuCnt).Text.Trim.ToLower = "reports" Then
                    igMenu.Items(menuCnt).Items.Clear()
                    For tableCnt = 0 To tableRows - 1
                        pItem = New DataMenuItem
                        pName = "Child Item " & tableCnt + 1
                        pItem.Text = pName
                        navID = tableCnt + 1
                        filePath = "~/somefilepath"
                        navURL = filePath & "?data=" & "childitem" & (tableCnt + 1) & "&ptype=analysis" & "&navid=" & navID
                        pItem.NavigateUrl = filePath & navURL
                        'normally this would change if the data item show completed=true
                        pItem.CssClass = "igdm_ClaymationMenuItemVerticalLinkComplete"
                        igMenu.Items(menuCnt).Items.Add(pItem)

                    Next
                End If
                If igMenu.Items(menuCnt).Text.Trim.ToLower = "help" Then
                    igMenu.Items(menuCnt).Items.Clear()
                    For tableCnt = 0 To tableRows - 1
                        pItem = New DataMenuItem
                        pName = "Child Item " & tableCnt + 1
                        pItem.Text = pName
                        navID = tableCnt + 1
                        filePath = "~/somefilepath"
                        navURL = filePath & "?data=" & "childitem" & (tableCnt + 1) & "&ptype=analysis" & "&navid=" & navID
                        pItem.NavigateUrl = filePath & navURL
                        'normally this would change if the data item show completed=true
                        pItem.CssClass = "igdm_ClaymationMenuItemVerticalLinkComplete"
                        igMenu.Items(menuCnt).Items.Add(pItem)

                    Next
                End If
            Next
        Catch ex As Exception
        End Try
    End Sub


#End Region





End Class

